Subject: bug#23574: 24.5; Overzealous underlining in emacs-nox

From: Colin Woodbury <[email-masked]>
Date: Sun, 5 Jun 2016 11:20:24 -0700

Interesting that you consider the the GUI _not_ displaying the face all the
way to end of screen to be a bug. I think only displaying to the end of the
characters (as shown in images in the Github issue) is the expected
behaviour. Otherwise, the screen (at least with underlining) gets quite
noisy.

On Sun, Jun 5, 2016 at 10:56 AM, Eli Zaretskii <[email-masked]> wrote:

> > From: Noam Postavsky <[email-masked]>
> > Date: Sun, 5 Jun 2016 13:05:53 -0400
> > Cc: John Mastro <[email-masked]>, [email-masked],
> [email-masked]
> >
> > On Sun, Jun 5, 2016 at 11:54 AM, Eli Zaretskii <[email-masked]> wrote:
> > > We always try to make the empty space
> > > after the end of a screen line have the same face as the last
> > > character of that line.
> >
> > Just to clarify, "last character of that line" refers to the newline
> > character or the one before it?
>
> The last displayed character of the line.  The newline is not
> displayed, in the sense that it has no glyph, so it can have no face.
>
> > > While it should be
> > > possible to have GUI frames display underline all the way to window
> > > edge, no one has ever requested that, so we didn't bother.
> >
> > I think this would have been useful for magit to simplify the use of
> > overlays to display the region with horizontal lines.
>
> This is doable (and in fact we already do that in R2L paragraphs,
> which you can observe if you change the recipe's text to use R2L
> characters).  But note that the OP in this bug report wants the exact
> opposite: to NOT have the underlining extended on TTYs.  So clearly
> there's no "one size fits all" solution here.
>
> > In http://debbugs.gnu.org/cgi/bugreport.cgi?bug=21468#43 you
> > suggested a way using :align-to which turned out to have a bunch of
> > complications and magit ended up not using it (see
> > https://github.com/magit/magit/pull/2293).
>
> Did you try using the box attribute of a face?
>

-- 
Colin Woodbury
Geotrellis Team @ Azavea